BlackBerry Forums Support Community

BlackBerry Forums Support Community (http://www.blackberryforums.com/)
-   Developer Forum (http://www.blackberryforums.com/developer-forum/)
-   -   Error while using net_rim_api.jar in NetBeans for j2me development (http://www.blackberryforums.com/developer-forum/258302-error-while-using-net_rim_api-jar-netbeans-j2me-development.html)

haribkurup 03-10-2012 02:53 AM

Error while using net_rim_api.jar in NetBeans for j2me development
 
I am working on a J2ME project using polish framework which I have to build for blackberry too. It was working fine until recently I introduced few network APIs by blackberry in the project (for priority based network selection).

I am using NetBeans IDE 7.1 and Blackberry JDE 7.1.0. I included the net_rim_api.jar (Project properties -> Build -> Libraries & resources -> Add Jar/Zip) that helped in getting rid of all red flags in editor.

But during build process, the library doesn't get linked and throws error mentioned below.

compiling for device [Generic/AnyMsaPhone].
warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
Compiling 691 source files to C:\build\Generic\AnyMsaPhone\en_US\classes
C:\...\source\src\com\ccs\crm\bb\network\Transport s.java:14: error: package net.rim.device.api.servicebook does not exist
import net.rim.device.api.servicebook.ServiceBook;
C:\...\source\src\com\ccs\crm\bb\network\Transport s.java:15: error: package net.rim.device.api.servicebook does not exist
import net.rim.device.api.servicebook.ServiceRecord;


Does anyone know how to fix it?


All times are GMT -5. The time now is 12:45 AM.

Powered by vBulletin® Version 3.6.12
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.